package com.localmatters.mobile.weather;

import java.io.Serializable;

/**
 * The forecast description POJO.
 *
 * @author Daniel Cavalcanti
 */
public class ForecastDescription implements Serializable {
    
    // **********************************************************************
    // Instance variables
    // **********************************************************************
    
    /**
     * The forecast date.
     */
    private String date;
    
    /**
     * The forecast description.
     */
    private String description;
    
    /**
     * The forecast high.
     */
    private int high;
    
    /**
     * The forecast low.
     */
    private int low;
    
    // **********************************************************************
    // Constructors
    // **********************************************************************
    
    /**
     * Creates a new instance of ForecastDescription.
     */
    public ForecastDescription() {
    }
    
    /**
     * Creates a new instance of ForecastDescription.
     *
     * @param date The forecast date.
     * @param description The forecast description.
     * @param high The forecast high.
     * @param low The forecast low.
     */
    public ForecastDescription(String date, String description, int high, int low) {
        this.date = date;
        this.description = description;
        this.high = high;
        this.low = low;
    }
    
    // **********************************************************************
    // Gettter/Setter methods
    // **********************************************************************

    /**
     * Returns the forecast date.
     *
     * @return The forecast date.
     */
    public String getDate() {
        return date;
    }

    /**
     * Sets the forecast date.
     *
     * @param date The forecast date.
     */
    public void setDate(String date) {
        this.date = date;
    }

    /**
     * Returns the forecast description.
     *
     * @return The forecast description.
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the forecast description.
     *
     * @param description The forecast description.
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * Returns the forecast high.
     *
     * @return The forecast high.
     */
    public int getHigh() {
        return high;
    }

    /**
     * Sets the forecast high.
     *
     * @param high The forecast high.
     */
    public void setHigh(int high) {
        this.high = high;
    }

    /**
     * Returns the forecast low.
     *
     * @return The forecast low.
     */
    public int getLow() {
        return low;
    }

    /**
     * Sets the forecast low.
     *
     * @param low The forecast low.
     */
    public void setLow(int low) {
        this.low = low;
    }
    
}
