package com.localmatters.mobile.weather;

import java.io.Serializable;

/**
 * The location description POJO.
 *
 * @author Daniel Cavalcanti
 */
public class LocationDescription implements Serializable {
    
    // **********************************************************************
    // Instance variables
    // **********************************************************************
    
    /**
     * The city name.
     */
    private String city;
    
    /**
     * The state.
     */
    private String state;
    
    /**
     * The postal code.
     */
    private String postal;
    
    /**
     * The country.
     */
    private String country;
    
    // **********************************************************************
    // Constructors
    // **********************************************************************
    
    /**
     * Creates a new instance of LocationDescription.
     */
    public LocationDescription() {
    }
    
    /**
     * Creates a new instance of LocationDescription.
     *
     * @param city The city name.
     * @param state The state.
     * @param postal The postal code.
     * @param country The country.
     */
    public LocationDescription(String city, String state, String postal, String country) {
        this.city = city;
        this.state = state;
        this.postal = postal;
        this.country = country;
    }
    
    // **********************************************************************
    // Getter/Setter methods
    // **********************************************************************
    
    /**
     * Returns the city name.
     *
     * @return The city name.
     */
    public String getCity() {
        return city;
    }
    
    /**
     * Sets the city name.
     *
     * @param city The city name.
     */
    public void setCity(String city) {
        this.city = city;
    }
    
    /**
     * Returns the state.
     *
     * @return The state.
     */
    public String getState() {
        return state;
    }
    
    /**
     * Sets the state.
     *
     * @param state The state.
     */
    public void setState(String state) {
        this.state = state;
    }
    
    /**
     * Returns the postal code.
     *
     * @return The postal code.
     */
    public String getPostal() {
        return postal;
    }
    
    /**
     * Sets the postal code.
     *
     * @param postal The postal code.
     */
    public void setPostal(String postal) {
        this.postal = postal;
    }
    
    /**
     * Returns the country.
     *
     * @return The country.
     */
    public String getCountry() {
        return country;
    }
    
    /**
     * Sets the country.
     *
     * @param country The country.
     */
    public void setCountry(String country) {
        this.country = country;
    }
    
}
