package com.localmatters.mobile.weather;

/**
 * The weather interface.
 *
 * @author Daniel Cavalcanti
 */
public interface Weather {
    
    /**
     * Returns weather forecast for a location. The location can be a postal
     * code or a city, state string.
     * 
     * @return The weather forecast.
     * @param location The location to get weather forecast for.
     * @throws com.localmatters.flexitext.weather.WeatherException If cannot get weather forecast.
     */
    WeatherForecast forecast(String location)
    throws WeatherException;
    
}
