package com.localmatters.mobile.weather;

/**
 * The weather exception.
 *
 * @author Daniel Cavalcanti
 */
public class WeatherException extends RuntimeException {
    
    /**
     * Creates a new instance of WeatherException.
     */
    public WeatherException() {
        super();
    }
    
    /**
     * Creates a new instance of WeatherException.
     *
     * @param message The exception message.
     */
    public WeatherException(String message) {
        super(message);
    }
    
    /**
     * Creates a new instance of WeatherException.
     *
     * @param cause The exception cause.
     */
    public WeatherException(Throwable cause) {
        super(cause);
    }
    
    /**
     * Creates a new instance of WeatherException.
     *
     * @param message The exception message.
     * @param cause The exception cause.
     */
    public WeatherException(String message, Throwable cause) {
        super(message, cause);
    }
    
}
