package com.localmatters.mobile.weather;

import java.io.Serializable;
import java.util.List;

/**
 * The weather forecast POJO.
 *
 * @author Daniel Cavalcanti
 */
public class WeatherForecast implements Serializable {
    
    // **********************************************************************
    // Instance variables
    // **********************************************************************
    
    /**
     * The locations.
     */
    private List<LocationDescription> locations;
    
    /**
     * The forecast.
     */
    private List<ForecastDescription> forecast;
    
    // **********************************************************************
    // Constructors
    // **********************************************************************
    
    /**
     * Creates a new instance of WeatherForecast.
     */
    public WeatherForecast() {
    }
    
    /**
     * Creates a new instance of WeatherForecast.
     *
     * @param locations The locations.
     * @param forecast The forecast.
     */
    public WeatherForecast(List<LocationDescription> locations, List<ForecastDescription> forecast) {
        this.locations = locations;
        this.forecast = forecast;
    }
    
    // **********************************************************************
    // Getter/Setter methods
    // **********************************************************************
    
    /**
     * Returns the locations.
     *
     * @return The locations.
     */
    public List<LocationDescription> getLocations() {
        return locations;
    }

    /**
     * Sets the locations.
     *
     * @param locations The locations.
     */
    public void setLocations(List<LocationDescription> locations) {
        this.locations = locations;
    }
    
    /**
     * Returns the forecast.
     *
     * @return The forecast.
     */
    public List<ForecastDescription> getForecast() {
        return forecast;
    }

    /**
     * Sets the forecast.
     *
     * @param forecast The forecast.
     */
    public void setForecast(List<ForecastDescription> forecast) {
        this.forecast = forecast;
    }

}
