package com.localmatters.mobile.weather.web;

import com.localmatters.mobile.weather.WeatherForecast;
import com.localmatters.mobile.weather.WeatherRemote;
import java.io.*;
import java.net.*;
import javax.ejb.EJB;

import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * @author Daniel Cavalcanti
 */
public class WeatherServlet extends HttpServlet {

    @EJB()
    private WeatherRemote weatherBean;
    
    /**
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     *
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        
        String location = request.getParameter("location");
        
        WeatherForecast forecast = weatherBean.forecast(location);
        String city = forecast.getLocations().get(0).getCity();
        
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        out.println("<html>");
        out.println("<head><title>Weather Servlet</title></head>");
        out.println("<body><h1>city = " + city + "</h1></body>");
        out.println("</html>");
        out.close();
        
    }
    
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
}
